Bug 845890 - Review Request: python-django-tinymce - TinyMCE form field editor for Django applications
Review Request: python-django-tinymce - TinyMCE form field editor for Django ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
: 907598 907614 (view as bug list)
Depends On:
Blocks: 736776 840369
  Show dependency treegraph
 
Reported: 2012-08-05 22:50 EDT by Yuguang Wang
Modified: 2013-03-12 04:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-15 07:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yuguang Wang 2012-08-05 22:50:58 EDT
Spec URL: http://yuwang.fedorapeople.org/python-django-tinymce.spec
SRPM URL: http://yuwang.fedorapeople.org/python-django-tinymce-1.5-1.fc16.src.rpm
Description: A Django application that contains a widget to render a form field as a TinyMCE editor.
Fedora Account System Username: yuwang
Comment 1 Matthias Runge 2012-08-06 04:16:33 EDT
some comments before doing a real review:
- CFLAGS not required for noarch
- you need to obsolete the latest pushed version. is this 1.5-3? If yes, then

- what is the latest version? the changelog is ordered by date, but version numbers increase/decrease
I see a version django-tinymce-1.5-5.fc18 in koji, but not in any repo. Did you push it once?

* Fri Aug 3 2012 Yuguang Wang <yuwang@redhat.com> - 1.5-1
- package rename to python-django-tinymce

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

- homepage is probably now: https://github.com/aljosa/django-tinymce
Comment 2 Yuguang Wang 2012-08-08 22:42:40 EDT
(In reply to comment #1)
> some comments before doing a real review:
> - CFLAGS not required for noarch
I've removed CFLAGS from spec.

> - you need to obsolete the latest pushed version. is this 1.5-3? If yes, then
> - what is the latest version? the changelog is ordered by date, but version
> numbers increase/decrease
> I see a version django-tinymce-1.5-5.fc18 in koji, but not in any repo. Did
> you push it once?
I didn't push any version newer than 1.5-3, seem 1.5-5 is available in koji.
I've bumped the obsolete version in spec for a work around.

> 
> * Fri Aug 3 2012 Yuguang Wang <yuwang@redhat.com> - 1.5-1
> - package rename to python-django-tinymce
> 
> * Wed Jul 18 2012 Fedora Release Engineering
> <rel-eng@lists.fedoraproject.org> - 1.5-2
> - Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
> 
> * Fri Jan 13 2012 Fedora Release Engineering
> <rel-eng@lists.fedoraproject.org> - 1.5-3
> - Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
> 
The changelogs above are not added by me. I obtained the latest spec from another package django-tinymce(https://bugzilla.redhat.com/show_bug.cgi?id=728823).

however, I've removed the weird un-ordered date. Thanks for your help :)
latest spec/srpm:
Spec URL: http://yuwang.fedorapeople.org/python-django-tinymce.spec
SRPM URL: http://yuwang.fedorapeople.org/python-django-tinymce-1.5-2.fc16.src.rpm
Description: A Django application that contains a widget to render a form field as a TinyMCE editor.
Fedora Account System Username: yuwang
Comment 3 Matthias Runge 2012-08-09 01:57:40 EDT
Reading my comment from #c1 again, it looks like I simply didn't wrote, what I meant (or didn't made that clear)

Orphans and changelog are still incorrect.

You may not start with a release number 1, those have to be increasing during each package version. Since you're providing django-tinymce-1.5-2, and obsoleting everything less than django-tinymce-1.5-5, you're obsoleting especially this newer version, too.

It's no problem, to have a renamed package starting with release number 6, or 10, or 17, if the preceding package had release number 5, 9, or 16.

- It also looks like you didn't remove cflags from build-section.
- As stated in #c1, you should change package homepage, since the old one simply states: MOVED TO GITHUB

code and issues at github

https://github.com/aljosa/django-tinymce
Comment 4 Yuguang Wang 2012-08-09 03:24:11 EDT
Release bumped to 6. CFLAGS removed. Project homepage changed to github.

Spec URL: http://yuwang.fedorapeople.org/python-django-tinymce.spec
SRPM URL: http://yuwang.fedorapeople.org/python-django-tinymce-1.5-6.fc16.src.rpm
Description: A Django application that contains a widget to render a form field as a TinyMCE editor.
Fedora Account System Username: yuwang

Unfortunately the project page in github didn't provide a linkable url to download the tarball, I've added comment on where I obtained the upstream tarball.

$ rpmlint python-django-tinymce.spec /rpmbuild/SRPMS/python-django-tinymce-1.5-6.fc16.src.rpm 
python-django-tinymce.spec: W: invalid-url Source0: aljosa-django-tinymce-f3d4b92.tar.gz
python-django-tinymce.src: W: invalid-url Source0: aljosa-django-tinymce-f3d4b92.tar.gz
1 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 5 Matthias Runge 2012-08-14 15:26:49 EDT
Sorry for lagging this.

BuildRequires: python-devel still should read python2-devel

I guess, you could correct that during import.

Package APPROVED.

Since I'm already maintaining tinymce, would you accept me as co-maintainer?
Comment 6 Yuguang Wang 2012-08-14 22:42:12 EDT
(In reply to comment #5)
> Sorry for lagging this.
> 
> BuildRequires: python-devel still should read python2-devel
> 
> I guess, you could correct that during import.
> 
> Package APPROVED.
Thanks.

> 
> Since I'm already maintaining tinymce, would you accept me as co-maintainer?
I'm happy about this ;)
Comment 7 Yuguang Wang 2012-08-14 22:44:13 EDT
New Package SCM Request
=======================
Package Name: python-django-tinymce
Short Description: TinyMCE form field editor for Django applications
Owners: yuwang mrunge
Branches: f17 f18 el6
InitialCC: yuwang mrunge
Comment 8 Matthias Runge 2012-08-15 02:38:12 EDT
Since, django-rename targets only on f18+, I'll change the SCM request. 

(cf. https://fedoraproject.org/wiki/User:Bkabrda/Django_rename).

Please take care to retire django-tinymce
(cf. http://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life )


New Package SCM Request
=======================
Package Name: python-django-tinymce
Short Description: TinyMCE form field editor for Django applications
Owners: yuwang mrunge
Branches: f18 
InitialCC: yuwang mrunge
Comment 9 Jon Ciesla 2012-08-15 06:55:31 EDT
Git done (by process-git-requests).
Comment 10 Bohuslav "Slavek" Kabrda 2012-08-15 07:53:49 EDT
Since it seems that everything was built successfuly, I'm closing this bug.
Comment 11 Ralph Bean 2013-02-04 15:15:17 EST
*** Bug 907598 has been marked as a duplicate of this bug. ***
Comment 12 Matthias Runge 2013-02-07 02:54:40 EST
Package Change Request
======================
Package Name: python-django-tinymce
New Branches: el6
Owners: mrunge ralph
Comment 13 Jon Ciesla 2013-02-07 08:21:47 EST
Git done (by process-git-requests).
Comment 14 Ralph Bean 2013-02-07 09:03:37 EST
*** Bug 907614 has been marked as a duplicate of this bug. ***
Comment 15 Fedora Update System 2013-02-07 09:47:16 EST
python-django-tinymce-1.5.1b4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-django-tinymce-1.5.1b4-1.el6
Comment 16 Fedora Update System 2013-02-26 09:59:34 EST
python-django-tinymce-1.5.1b4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-tinymce-1.5.1b4-1.fc18
Comment 17 Fedora Update System 2013-03-11 15:36:37 EDT
python-django-tinymce-1.5.1b4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2013-03-12 04:24:54 EDT
python-django-tinymce-1.5.1b4-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.